<?php
/**
 *
 *  Log.php
 *
 * @author   dlo
 * @copyright  CYBERDAY GmbH
 * @license    CYBERDAY GmbH
 * @version    0.1
 * @since    21.03.2016
 *
 *                          _(__)_        V
 *                        '-e e -'__,--.__)
 *                         (o_o)        )
 *                            \. /___.  |
 *                            ||| _)/_)/
 *                         dlo//_(/_(/_(
 *
 **/

namespace Cyberday\ApiItRechtKanzlei\Model\Api;

use Magento\Framework\Model\AbstractModel;

/**
 * @method text setRequest()
 * @method text setResponse()
 * @method string setIp()
 * @method float setRuntime()
 * @method text getRequest()
 * @method text getResponse()
 * @method string getIp()
 * @method float getRuntime()
 */
class Log extends AbstractModel
{
    /**
     * Prefix of model events names
     *
     * @var string
     */
    protected $_eventPrefix = 'cyberday_itrk_api_log';
    
    
    /**
     *
     * {@inheritDoc}
     * @see \Magento\Framework\Model\AbstractModel::_construct()
     */
    protected function _construct()
    {
        $this->_init('Cyberday\ApiItRechtKanzlei\Model\Api\ResourceModel\Log');
    }
}
