<?php
/**
 *
 *  ApiInterface.php
 *
 * @author   dlo
 * @copyright  CYBERDAY GmbH
 * @license    CYBERDAY GmbH
 * @version    0.1
 * @since    18.03.2016
 *
 *                          _(__)_        V
 *                        '-e e -'__,--.__)
 *                         (o_o)        )
 *                            \. /___.  |
 *                            ||| _)/_)/
 *                         dlo//_(/_(/_(
 *
 **/
namespace Cyberday\ApiItRechtKanzlei\Controller;

use Cyberday\ApiItRechtKanzlei\Model\Api\Request\DataObject as RequestDataObject;
use Magento\Framework\App\ActionInterface;
use Magento\Framework\App\RequestInterface;
use Magento\Framework\DataObject;

interface ApiInterface extends ActionInterface
{

    /**
     *
     * @param RequestInterface $request
     * @return string
     */
    function getRequestContent(RequestInterface $request);

    /**
     *
     * @param RequestInterface $request
     */
    function preDispatchChecks(RequestInterface $request);

    /**
     *
     * @param RequestInterface $request
     * @return RequestDataObject
     */
    function getConvertedRequest(RequestInterface $request);

    /**
     *
     * @param Magento\Framework\DataObject $data
     * @param RequestDataObject $convertedRequest
     * @return string
     */
    function convertResult(DataObject $data, RequestDataObject $convertedRequest);
}
