<?php
/**
 *
 *  Data.php
 *
 * @author   dlo
 * @copyright  CYBERDAY GmbH
 * @license    CYBERDAY GmbH
 * @version    0.1
 * @since    21.03.2016
 *
 *                          _(__)_        V
 *                        '-e e -'__,--.__)
 *                         (o_o)        )
 *                            \. /___.  |
 *                            ||| _)/_)/
 *                         dlo//_(/_(/_(
 *
 **/


namespace Cyberday\ApiItRechtKanzlei\Model\Api\Request;

use Magento\Framework\DataObject as MagentoDataObject;

/**
 *
 * @method string getApiVersion()
 * @method string getApiUsername()
 * @method string getApiPassword()
 * @method string getUserUsername()
 * @method string getUserPassword()
 * @method string getUserAuthToken()
 * @method string getRechtstextType()
 * @method string getRechtstextCountry()
 * @method string getRechtstextLanguage()
 * @method string getRechtstextPdfMd5Hash()
 * @method string getAction()
 * @method string getUserAccountId()
 * @method string getRechtstextHtml()
 * @method string getRechtstextText()
 * @method string getRechtstextPdfUrl()
 */
class DataObject extends MagentoDataObject
{
    /**
     *
     * @return string
     */
    public function getRechtstextPdfMd5Hash()
    {
        return $this->getData('rechtstext_pdf_md5hash');
    }
}
