<?php
/**
 *
 *  TransportBuilder.php
 *  https://blog.bitexpert.de/blog/sending-mails-with-attachments-in-magento-2/
 *
 * @author   dlo
 * @copyright  CYBERDAY GmbH
 * @license    CYBERDAY GmbH
 * @version    0.1
 * @since    22.03.2016
 *
 *                          _(__)_        V
 *                        '-e e -'__,--.__)
 *                         (o_o)        )
 *                            \. /___.  |
 *                            ||| _)/_)/
 *                         dlo//_(/_(/_(
 *
 **/
namespace Cyberday\ApiItRechtKanzlei\Model\Rewrite\Framework\Mail\Template;

use Cyberday\ApiItRechtKanzlei\Traits\TransportBuilderOldTrait;
use Cyberday\ApiItRechtKanzlei\Traits\TransportBuilderTrait;

// >=M2.3.3
if(interface_exists('\Magento\Framework\Mail\EmailMessageInterface')) {
    class TransportBuilder extends \Magento\Framework\Mail\Template\TransportBuilder
    {
        use TransportBuilderTrait;
    }
} else {
    class TransportBuilder extends \Magento\Framework\Mail\Template\TransportBuilder
    {
        use TransportBuilderOldTrait;
    }
}